Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.portal.callback
Interface AxedaCallback

All Known Implementing Classes:
  DeviceAccessCallback, GASConfigurationCallback, HAManagementRequestCallback, ModelNameCallback, RegistrationCallback, UserNameCallback, WebservicesCallback

    public interface AxedaCallback

Created by IntelliJ IDEA. User: kholbrook Date: Apr 9, 2009 Time: 11:10:05 AM

Field Summary
`static int` | `DEVICE_TYPE`
`static int` | `GAS_CONFIGURATION_TYPE`
`static int` | `GATEWAY_CLUSTER_TYPE`
`static int` | `MODELNAME_TRANSLATION_PASSWORD_TYPE`
`static int` | `REGISTRATION_TYPE`
`static java.lang.String` | `RESPONSE_FAIL`
`static java.lang.String` | `RESPONSE_OK`
`static int` | `USERNAME_TYPE`
`static int` | `WEBSERVICES_PASSWORD_TYPE`

Method Summary
`java.lang.String[]` | `getOptions()` Get the set of options which have been set
`java.lang.String[]` | `getResponses()` Get the array of responses from the CallbackHandler
`int` | `getType()`
`void` | `setOptions(java.lang.String[] options)` Set the options which will be read by the Callback Handler
`void` | `setResponses(java.lang.String[] responses)` Set the responses based on the handling of the Callback.

Field Detail

### USERNAME_TYPE

    static final int USERNAME_TYPE

See Also:
  Constant Field Values

### DEVICE_TYPE

    static final int DEVICE_TYPE

See Also:
  Constant Field Values

### WEBSERVICES_PASSWORD_TYPE

    static final int WEBSERVICES_PASSWORD_TYPE

See Also:
  Constant Field Values

### MODELNAME_TRANSLATION_PASSWORD_TYPE

    static final int MODELNAME_TRANSLATION_PASSWORD_TYPE

See Also:
  Constant Field Values

### REGISTRATION_TYPE

    static final int REGISTRATION_TYPE

See Also:
  Constant Field Values

### GATEWAY_CLUSTER_TYPE

    static final int GATEWAY_CLUSTER_TYPE

See Also:
  Constant Field Values

### GAS_CONFIGURATION_TYPE

    static final int GAS_CONFIGURATION_TYPE

See Also:
  Constant Field Values

### RESPONSE_OK

    static final java.lang.String RESPONSE_OK

See Also:
  Constant Field Values

### RESPONSE_FAIL

    static final java.lang.String RESPONSE_FAIL

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()

### setOptions

    void setOptions(java.lang.String[] options)

  Set the options which will be read by the Callback Handler

  Parameters:
    `options` - The array of String options being passed to the CallbackHandler, i.e. Username, Device_id

### getOptions

    java.lang.String[] getOptions()

  Get the set of options which have been set

  Returns:
    The array of String options. Called by the CallbackHandler

### setResponses

    void setResponses(java.lang.String[] responses)

  Set the responses based on the handling of the Callback.

  Parameters:
    `responses` - The array of String responses from the

### getResponses

    java.lang.String[] getResponses()

  Get the array of responses from the CallbackHandler

  Returns:
    The array of String responses from the CallbackHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD